Update a Product

Updates the specific product by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

You can also update products in the Merchant Dashboard.

Related guide: Products and Prices

Path Parameters
  • id
    Type: string
    max length:  
    100
    required
Body·
required
application/json

Request parameters for creating a new product.

  • Type: object ·

    Request parameters for creating a new product.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/products/{id}
curl 'https://api.paypercut.io/v1/products/{id}' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "active": true,
  "name": "",
  "description": "",
  "unit_label": ""
}'
{
  "active": true,
  "name": "string",
  "description": "string",
  "unit_label": "string",
  "id": "string"
}